Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class AbstractMultimap.EntriesCollection

    java.lang.Object
      java.util.AbstractCollection<Map.Entry<K,V>>
          org.modeshape.common.collection.AbstractMultimap.EntriesCollection

All Implemented Interfaces:
  Iterable<Map.Entry<K,V>>, Collection<Map.Entry<K,V>>

Enclosing class:
  AbstractMultimap<K,V>

    protected final class AbstractMultimap.EntriesCollection

extends AbstractCollection<Map.Entry<K,V>>

Constructor Summary
`protected` | `AbstractMultimap.EntriesCollection()`

Method Summary
`void` | `clear()`
`boolean` | `contains(Object o)`
`Iterator<Map.Entry<K,V>>` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### AbstractMultimap.EntriesCollection

    protected AbstractMultimap.EntriesCollection()

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection<Map.Entry<K,V>>`
  Specified by:
    `size` in class `AbstractCollection<Map.Entry<K,V>>`
  See Also:
    `AbstractCollection.size()`

### iterator

    public Iterator<Map.Entry<K,V>> iterator()

  Specified by:
    `iterator` in interface `Iterable<Map.Entry<K,V>>`
  Specified by:
    `iterator` in interface `Collection<Map.Entry<K,V>>`
  Specified by:
    `iterator` in class `AbstractCollection<Map.Entry<K,V>>`
  See Also:
    `AbstractCollection.iterator()`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<Map.Entry<K,V>>`
  Overrides:
    `clear` in class `AbstractCollection<Map.Entry<K,V>>`
  See Also:
    `AbstractCollection.clear()`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<Map.Entry<K,V>>`
  Overrides:
    `contains` in class `AbstractCollection<Map.Entry<K,V>>`
  See Also:
    `AbstractCollection.contains(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.